%define name	libxprintutil
%define version	1.0.1
%define release	%mkrel 12

%define major		1
%define libname		%mklibname xprintutil %{major}
%define	develname	%mklibname xprintutil -d
%define staticname	%mklibname xprintutil -d -s

Name: %{name}
Summary:  The XprintUtil Library
Version: %{version}
Release: %{release}
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXprintUtil-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxp-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The XprintUtil Library

#-----------------------------------------------------------

%package -n %{libname}
Summary:  The XprintUtil Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
The XprintUtil Library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libname} = %{version}
Requires: libx11-devel >= 1.0.0
Requires: libxt-devel >= 1.0.0
Requires: x11-proto-devel >= 1.0.0
Provides: %{name}-devel = %{version}-%{release}
Conflicts: libxorg-x11-devel < 7.0
Obsoletes: %{mklibname xprintutil 1 -d}

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libXprintUtil.so
%{_libdir}/pkgconfig/xprintutil.pc
%{_includedir}/X11/XprintUtil/xprintutil.h

#-----------------------------------------------------------

%prep
%setup -q -n libXprintUtil-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libXprintUtil.so.%{major}*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-12.mga3
+ Revision: 358626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 1.0.1-11.mga3
+ Revision: 304953
- drop .la files

* Fri Jan 21 2011 dmorgan <dmorgan> 1.0.1-11.mga1
+ Revision: 27918
- Remove mdv macros

  + ennael <ennael>
    - imported package libxprintutil

